import { OnInit, EventEmitter } from '@angular/core';
import { ImageViewerConfig, CustomEvent } from './image-viewer-config.model';
export declare class ImageViewerComponent implements OnInit {
    moduleConfig: ImageViewerConfig;
    src: string[];
    index: number;
    config: ImageViewerConfig;
    indexChange: EventEmitter<number>;
    configChange: EventEmitter<ImageViewerConfig>;
    customEvent: EventEmitter<CustomEvent>;
    style: {
        transform: string;
        msTransform: string;
        oTransform: string;
        webkitTransform: string;
    };
    fullscreen: boolean;
    loading: boolean;
    private scale;
    private rotation;
    private translateX;
    private translateY;
    private prevX;
    private prevY;
    private hovered;
    constructor(moduleConfig: ImageViewerConfig);
    ngOnInit(): void;
    nextImage(event: any): void;
    prevImage(event: any): void;
    zoomIn(): void;
    zoomOut(): void;
    scrollZoom(evt: any): boolean;
    rotateClockwise(): void;
    rotateCounterClockwise(): void;
    onLoad(): void;
    onLoadStart(): void;
    onDragOver(evt: any): void;
    onDragStart(evt: any): void;
    toggleFullscreen(): void;
    triggerIndexBinding(): void;
    triggerConfigBinding(): void;
    fireCustomEvent(name: any, imageIndex: any): void;
    reset(): void;
    private onMouseOver();
    private onMouseLeave();
    private canNavigate(event);
    private updateStyle();
    private mergeConfig(defaultValues, overrideValues);
}
